Embedded Lockdown Manager

2/13/2014

You can use the Embedded Lockdown Manager (ELM) to configure lockdown features on a Windows Embedded 8.1 Industry (Industry 8.1) or Windows Embedded 8 Standard (Standard 8) device.

Overview

ELM is a snap-in to the Microsoft Management Console (MMC). You can use ELM directly on a Industry 8.1 or Standard 8 device, or you can use ELM on a development computer and then remotely connect to a Industry 8.1 or Standard 8 device.

ELM automatically detects which lockdown features are installed on the device, and displays configuration options for only those features. ELM uses Windows Management Instrumentation (WMI) to detect and change configuration settings.

You can use ELM to configure the following lockdown features:

Feature | Description
Dialog Filter | Prevents undesirable pop-up windows and dialog boxes from appearing on the screen.
Keyboard Filter | Suppresses undesirable key combinations, such as Ctrl+Alt+Delete.
Shell Launcher | Launches an alternate shell instead of the standard Windows 8.1 shell.
Unified Write Filter | Protects physical media from write operations.
USB Filter | Prevents unauthorized USB devices from connecting to USB ports.
Windows 8 Application Launcher | Launches a Windows Store app immediately when a configured account signs in.
Gesture Filter | Blocks undesirable edge gestures. You cannot use ELM to configure this feature in Standard 8.

Connect to a device

If you want to use ELM on your development computer and connect to a remote device, you may need to configure the device to allow remote WMI traffic first. For more information, see Configure a device for remote management.

To connect to a device

  1. In MMC, on the Console Root pane, select ELM .

  2. Do one of the following:

    • On the Actions pane, click Connect to Device.

    • On the leftmost pane, right-click ELM and then click Connect to Device.

  3. On the Select Computer dialog box, use one of the following procedures:

    • If you are running ELM on the device you want to configure, select Local computer.

    • If you want to configure a remote device, select Another computer and do the following:

      1. Enter the network name of the remote device, or use the Browse button to search the network for a device.

      2. To use a different account to remotely connect to the device, select Connect as another user.

      3. Click Set User and enter the logon credentials for the remote account.
Important:
To connect to a device, you must use an administrator account and the password cannot be blank.

Remove device

Disconnects from the selected device and removes it from ELM.


Dialog Filter

Dialog Filter |
 | See Also
Embedded Lockdown Manager >

2/13/2014

You can configure Dialog Filter on a Windows Embedded 8.1 Industry (Industry 8.1) or Windows Embedded 8 Standard (Standard 8) device to control which pop-up windows and dialog boxes are displayed on the desktop.

For more information about Dialog Filter on Industry 8.1, see Dialog Filter (Industry 8.1) on MSDN.

For more information about Dialog Filter on Standard 8, see Dialog Filter Overview (Standard 8) on MSDN.

Block pop-up windows

Each time a process creates or attempts to show a window, Dialog Filter examines the following properties of the new window:

  • The title of the window

  • The full pathname of the process that created the window

  • The names and types of the top-level controls that belong to the window

Dialog Filter uses this information to identify any window or dialog box that matches entries in the blocked window list. Dialog Filter blocks matching windows by automatically performing a specified action on the window. You can configure what action Dialog Filter performs on the window based on the actions that are available to that window.

Dialog Filter examines only windows that have a title and at least one button. This prevents Dialog Filter from affecting lower-level windows, such as buttons, controls, and so on. Therefore, Dialog Filter can block only windows that are displayed on the desktop.

Dialog Filter also ignores windows that are run as administrator.

Default actions

You can configure Dialog Filter to, by default, either close or show any top-level window that is not blocked or part of a protected process.

If you do not define the default action, then Dialog Filter shows the window by default.

Protected processes

You can configure Dialog Filter to indicate that a specific process is protected, so that any windows that belong to the process are shown, regardless of the configured default action. Windows that are specifically blocked are still blocked for protected processes.

Important:
If you run ELM on your device and set the default action to close windows, you must first protect the mmc.exe process to allow ELM to continue to run.

Actions

On this window pane in ELM, you can use the following commands:

Export to PowerShell

Creates a Windows PowerShell script that you can use to apply the current Dialog Filter configuration to any device running Industry 8.1 or Standard 8.

Default Action

You can select Show or Close as the default action. Show is selected by default.

See Also

Concepts

Embedded Lockdown Manager

© 2014 Microsoft. All rights reserved.


Windows/dialog boxes

Windows/dialog boxes |
 | See Also
Embedded Lockdown Manager > Dialog Filter >

2/13/2014

The Windows/Dialogs tab in Embedded Lockdown Manager (ELM) displays windows and processes that are currently active on the device, in addition to which windows are blocked. Dialog boxes are a type of window.

On this screen, you can block or unblock windows, view the properties of active or blocked windows, and protect or unprotect active processes.

Note:
You may need to refresh the screen to see any windows that have opened on the device since the ELM last scanned the device.

Block a window

When you block a window, you must select an action for ELM to perform on the window from the list of actions that are available for that window. For example, a Save As dialog box may have the actions Save, Cancel, and Close.

When the system tries to open a new window that matches a blocked window, the ELM draws the window off-screen and automatically performs the selected command on the window. Some windows cannot be drawn off-screen, and flash briefly on the screen when Dialog Filter closes them.

Actions

On the Windows/Dialogs screen, you can use the following commands:

Default Action

You can select Show or Close as the default action. Show is selected by default.

Refresh

Refreshes ELM with the current state of the device.

Allow Dialog

Removes the currently selected window from the list of blocked windows.

Set Action

Sets the action that ELM performs on the window when blocking it. If the window is not blocked, ELM adds the window to the list of blocked windows.

Properties

Displays a dialog box that contains the properties of currently selected window that ELM uses to identify the window.

Protect process

Adds the process that created the currently selected window to the list of processes that are protected from the default action.

See Also

Concepts

Dialog Filter


Protected processes

Protected processes |
 | See Also
Embedded Lockdown Manager > Dialog Filter >

2/13/2014

When you protect a process, Dialog Filter does not perform the default action on any window created by the protected process. Windows that are specifically blocked are still blocked, even if they are created by a process that is protected.

Protecting a process has an effect only when the default action for Dialog Filter is set to Close.

Actions

On the Protected Processes window in Embedded Lockdown Manager (ELM), you can use the following commands:

Default Action

You can select Show or Close as the default action. Show is selected by default.

Protect a different process

Opens a file browser dialog box in which you can select an executable file on the device to mark as a protected process.

Unprotect process

Removes the currently selected process from the list of protected processes.

See Also

Dialog Filter


Gesture Filter

Gesture Filter |
 | See Also
Embedded Lockdown Manager >

2/13/2014

You can use Gesture Filter to disable the edge and corner gestures available in Windows Embedded 8.1 Industry (Industry 8.1). Gesture Filter enables you to block edge gestures (left, right, top extended swipe, and each corner) individually.

Gesture Filter does not block edge gestures for administrator accounts. Changes to the configuration of Gesture Filter do not affect any sessions that are currently signed in; you must sign out and sign back in.

You can only use Embedded Lockdown Manager (ELM) to configure Gesture Filter on a device running Windows Embedded 8.1 Industry (Industry 8.1).

For more information about Gesture Filter on Industry 8.1, see Gesture Filter (Industry 8.1) on MSDN.

Actions

In the Action pane of the ELM window, you can use the following commands:

Export to PowerShell

Creates a Windows PowerShell script that you can use to apply the current Gesture Filter configuration to any device running Industry 8.1.

Enable Gesture Filter/Disable Gesture Filter

Enables or disables Gesture Filter.

Block all gestures

Blocks all of the available gestures.

Allow all gestures

Allows all of the available gestures.

Refresh

Refreshes the current configuration of Gesture Filter from the device.

Block this gesture/Block selected gestures

Blocks the currently selected gesture. You can also select multiple gestures, right-click, and then select Block Gestures from the drop-down menu to block multiple gestures.

Allow this blocked gesture/Allow selected gestures

Allows the currently selected gesture. You can also select multiple gestures, right-click, and then select Allow Gestures from the drop-down menu to allow multiple gestures.

See Also

Embedded Lockdown Manager


Keyboard Filter

Keyboard Filter |
 | See Also
Embedded Lockdown Manager >

2/13/2014

You can configure Keyboard Filter on a Windows Embedded 8.1 Industry (Industry 8.1) or Windows Embedded 8 Standard (Standard 8) device to suppress undesirable key presses or key combinations.

Normally, a user can use certain Windows key combinations like Ctrl+Alt+Delete or Ctrl+Shift+Tab to alter the operation of a device by locking the screen or using task manager to close a running application. This may not be desirable if your device is intended for a dedicated purpose. However, you can use Keyboard Filter to suppress any key press or key combination that causes an undesirable system behavior.

In Industry 8.1, you can configure a breakout key to break out of a locked down account. When you press the breakout key five times in a row, Industry 8.1 presents the Welcome screen so that you can sign in to a different account. By default, the breakout key is set to the Windows logo key, but you can use Embedded Lockdown Manager (ELM) to change the breakout key.

Keyboard Filter works with both physical keyboards and the standard Windows touchscreen keyboards.

For more information about Keyboard Filter on Industry 8.1, see Keyboard Filter (Industry 8.1) on MSDN.

For more information about Keyboard Filter on Standard 8, see Keyboard Filter Overview (Standard 8) on MSDN.

Common tasks

To change the breakout key

  1. In ELM, on the Actions pane, click Set Breakout Key.

  2. On the Breakout Key dialog box, do one of the following:

    • Select Type the key to reveal its Scan Code, select the text box at the bottom of the dialog box, and press the key to use as the breakout key.

      The hexadecimal scan code for the key is filled in automatically.

    • Select Enter Scan Code by number, select the text box at the bottom of the dialog box, and enter the hexadecimal value of the scan code for the key to use as the breakout key.

  3. Click OK.

Actions

On this window pane in ELM, you can use the following commands:

Export to PowerShell

Creates a Windows PowerShell script that you can use to apply the current Keyboard Filter configuration to any device running Industry 8.1 or Standard 8.

Disable admin filter/Enable admin filter

Disables or enables the Keyboard Filter from blocking keys for administrator accounts on the device.

Allow Accessibility/Force off Accessibility

Determines whether accessibility features that can bypass the Keyboard Filter are allowed.

Set Breakout Key

Opens the Breakout Key dialog box, where you can specify the scan code of the breakout key.

Note:
To disable the breakout key, set the scan code of the breakout key to a value that does not map to a physical key, for example, 0 (zero).

Key categories

Key combinations are grouped into the following categories:

Category | Description
Accessibility Keys | Predefined keys that affect accessibility options.
Application Keys | Predefined keys that affect application behavior.
Browser Keys | Predefined keys that affect internet browser functionality.
Extended Shell Keys | Predefined keys that initiate commonly used functionality, such as launch mail, launch media player, or sleep mode.
Media Keys | Predefined keys that access media player functionality.
Modifier Keys | Predefined keys that are commonly used as modifiers in a key combination.
Security Keys | Predefined keys that affect system security, such as Ctrl+Alt+Delete.
Shell Keys | Predefined keys that affect the behavior of the Windows shell.
All Keys | All predefined keys.
Custom keys | Custom-defined keys.
Custom scan codes | Custom-defined scan codes.

See Also

Embedded Lockdown Manager


Predefined keys

Predefined keys |
 | See Also
Embedded Lockdown Manager > Keyboard Filter >

2/13/2014

Keyboard Filter predefines certain key combinations in order to make it easy to block common Windows shortcut keys. Embedded Lockdown Manager (ELM) groups predefined keys into categories of related behavior, so that you can more easily lock down specific behaviors.

Actions

On this window pane in ELM, you can use the following commands:

Block all keys

Blocks all key combinations in the current category.

Allow all keys

Unblocks all key combinations in the current category.

Block this key

Blocks the currently selected key combination.

Allow this blocked key

Unblocks the currently selected blocked key combination.

Predefined key categories

Predefined key combinations are grouped into the following categories:

Category | Description
Accessibility Keys | Keys that affect Ease of Use options.
Application Keys | Keys that affect application behavior.
Browser Keys | Keys that affect Internet browser functionality.
Extended Shell Keys | Extended keyboard keys that initiate commonly used functionality, such as launch mail, launch media player, or sleep mode.
Media Keys | Keys that access media player functionality.
Modifier Keys | Keys that are used as modifiers in key combinations. The modifier keys consist of Alt, Ctrl, Shift, and the Windows logo key.
Security Keys | Keys that affect system security, such as Ctrl+Alt+Delete.
Shell Keys | Keys that affect the behavior of the Windows shell.
All Keys | All predefined keys.

See Also

Keyboard Filter


Custom keys

Custom keys |
 | See Also
Embedded Lockdown Manager > Keyboard Filter >

2/13/2014

You can define custom keys to block key combinations that are not predefined by Keyboard Filter. You can use the Embedded Lockdown Manager (ELM) to add, remove, block, and unblock custom keys.

Create a custom key

A custom key consists of a combination of zero or more modifiers and a single non-modifier key. The modifier keys consist of Alt, Ctrl, Shift, and the Windows logo key. For each modifier, you can specify the left or right keys independently, or specify both versions of the key.

If you are creating a custom key that contains the Enter, Esc, or the Tab keys, you must use the Select Dialog Key drop down box to select the key.

The ELM sets new custom keys to be blocked by default.

Actions

On this window pane in ELM, you can use the following commands:

Block all keys

Blocks all custom defined keys.

Allow all keys

Unblocks all custom defined keys.

Add custom key

Opens a dialog box in which you can specify a custom key combination to add.

Delete blocked key

Removes the selected custom defined key. If the key was blocked, it becomes unblocked.

Block this key

Blocks the currently selected custom key.

Allow this blocked key

Unblocks the currently selected blocked custom key.

See Also

Keyboard Filter


Custom scan codes

Custom scan codes |
 | See Also
Embedded Lockdown Manager > Keyboard Filter >

2/13/2014

You can define custom scan codes to block specific keyboard keys. You can use the Embedded Lockdown Manager (ELM) to add, remove, block, and unblock custom scan codes.

Scan codes

When a key is pressed on a physical keyboard, the keyboard sends a scan code to the keyboard driver. The driver then sends the scan code to the OS and the OS converts the scan code into a virtual key based on the current active layout.

Some keyboards or input devices that act like keyboards can have special keys that do not have a corresponding virtual key. In this case, you must block the scan code of the key in order to block the key.

The layout defines the mapping of keys on the physical keyboard, and has many variants. A key on a keyboard always sends the same scan code when pressed, however this scan code can map to different virtual keys for different layouts. For example, in the English (United States) keyboard layout, the key to the right of the P key maps to { (left brace). However, in the Swedish (Sweden) keyboard layout, the same key maps to Å.

Create a custom scan code

A custom scan code consists of a combination of zero or more modifiers and a scan code. The modifier keys consist of Alt, Ctrl, Shift, and the Windows logo key. For each modifier, you can specify the left or right keys independently, or specify both versions of the key.

To create a custom scan code

  • In the Custom Shortcut dialog box in ELM, do one of the following:

    • Select Type the key to reveal its Scan Code, select the text box at the bottom of the dialog box, and press the key to block.

      The hexadecimal scan code for the key is filled in automatically.

    • Select Enter Scan Code by number, select the text box at the bottom of the dialog box, and enter the hexadecimal value of the scan code to block.

The ELM sets the new custom scan code to be blocked by default.

Note:
Power management keys, such as Power, Sleep, and Wake Up, may not have scan codes. You can instead use Group Policy to block power management keys that do not have scan codes.

Actions

On this window in ELM, you can use the following actions:

Block all keys

Blocks all custom defined scan codes.

Allow all keys

Unblocks all custom defined scan codes.

Add custom scan code

Opens a dialog box in which you can specify a custom scan code to add.

Delete blocked key

Removes the selected custom scan code. If the scan code was blocked, it becomes unblocked.

Block this key

Blocks the currently selected custom scan code.

Allow this blocked key

Unblocks the currently selected blocked custom scan code.

See Also

Keyboard Filter


Shell Launcher

Shell Launcher |
 | See Also
Embedded Lockdown Manager >

2/13/2014

You can use Shell Launcher to replace the default Windows 8.1 shell with a custom shell. You can use any application or executable as your custom shell, such as a command window or a custom dedicated application.

Caution:
You may specify any executable file to be the default shell except C:\Windows\System32\Eshell.exe. Using Eshell.exe as the default shell will result in a blank screen after user logon.

You cannot use Shell Launcher to launch a Windows Store app as a custom shell. However, you can use Windows 8 Application Launcher to launch a Windows Store app at startup. For more information, see Windows 8 Application Launcher.

Caution:
You cannot have both Shell Launcher and Windows 8 Application Launcher enabled at the same time.

You can also configure Shell Launcher to launch different shell applications for different users or user groups.

You can configure Shell Launcher to launch the Windows 8.1 shell for any administrator account by selecting explorer.exe as the shell executable.

Important:
If you configure Shell Launcher to launch explorer.exe for an account is not an administrator, File Explorer is launched instead.

For more information about Shell Launcher on Industry 8.1, see Shell Launcher (Industry 8.1) on MSDN.

For more information about Shell Launcher on Standard 8, see Shell Launcher Overview (Standard 8) on MSDN.

Default shell

If Shell Launcher cannot find a configuration for the current logged on user, Shell Launcher uses the default shell configuration. You must have a default shell configuration defined for Shell Launcher.

You cannot delete the default shell or specify a different user or group for the default shell configuration. You can only configure which application to launch as the default shell and the action to take when the shell application exits.

Actions

On this window pane in Embedded Lockdown Manager (ELM), you can use the following commands:

Export to PowerShell

Creates a Windows PowerShell script that you can use to apply the current Shell Launcher configuration to any device running Industry 8.1 or Standard 8.

Add a shell

Opens a new Shell Launcher Properties dialog box in which you can create a new Shell Launcher configuration.

Enable Shell Launcher/Disable Shell Launcher

Enables or disables Shell Launcher. If Shell Launcher is not enabled, the device launches the standard Windows 8.1 or Windows 8 shell.

Refresh

Causes ELM to reload the current Shell Launcher configuration from the device.

Properties

Opens the Shell Launcher Properties dialog box in which you can modify the currently selected Shell Launcher configuration.

Delete

Removes the currently selected Shell Launcher configuration. You cannot remove the Default Shell configuration.

Shell Launcher properties dialog box

In this dialog box in ELM, you can use the following commands:

Launch Application

This section defines what application is launched for a specific user or group. You can configure the following options in this section:

User or Group Name

Defines the user or group for the specific configuration. Click the Browse Local Accounts button to select a user or group from local accounts present on the device. Click the Browse Domain Accounts to select a user or group from domain accounts if the device is joined to a domain.

Shell Executable

Defines the application to launch as the shell. Click the Browse button to browse the device for the application to launch.

Application Exit

This section defines what action Shell Launcher takes when the shell application exits. You can take the following actions upon exit:

  • Restart shell

  • Restart system

  • Shut down

  • Do nothing

You can configure the following options in this section:

Unexpected Close Action

Defines the action that Shell Launcher takes when the shell application exits unexpectedly, or exits with a return code that is not mapped to a valid Shell Launcher exit action.

Return Code Actions

Maps an exit code returned by the Shell application to a valid Shell Launcher exit action.

See Also

Embedded Lockdown Manager


Unified Write Filter

Unified Write Filter |
 | See Also
Embedded Lockdown Manager >

2/13/2014

You can use Unified Write Filter (UWF) to protect your storage media. UWF intercepts all write attempts to a protected volume and redirects those write attempts to a virtual overlay. This improves the reliability and stability of your device and reduces the wear on write-sensitive media, such as flash memory media like solid state drives.

Important:
UWF is not configurable in Embedded Lockdown Manager (ELM) when it is disabled. You must enable UWF before configuring it with ELM.

For more information about UWF on Industry 8.1, see Unified Write Filter (Industry 8.1) on MSDN.

For more information about UWF on Standard 8, see Unified Write Filter (UWF) Overview (Standard 8) on MSDN.

Actions

On this window in ELM, you can use the following commands:

Export to PowerShell

Creates a Windows PowerShell script that you can use to apply the current UWF configuration to any device running Industry 8.1 or Standard 8.

Enable/Disable Unified Write Filter

Enables or disables UWF after the next restart.

Enable/Disable HORM

Enables or disables Hibernate Once/Resume Many (HORM) after the next restart. You cannot enable HORM if you have defined any file or registry exclusions.

Edit overlay properties

Opens the Overlay Properties dialog box in which you can change the maximum overlay size and the overlay storage mode.

Overlay Properties

In this dialog box, you can set the following properties of the overlay:

Overlay Size

Defines the maximum size, in MB, of the overlay.

Overlay Storage

Defines where the overlay is stored. The following table shows the possible values.

Value Description

Disk Only

Stores the overlay in a file on disk.

Memory (RAM)

Stores the overlay entirely in RAM.

The overlay does not persist across restarts, even if stored on disk.

To make the either of the following property changes, you must first disable UWF and restart the device:

  • If Overlay Storage is set to Disk Only and you want to change the value in Overlay Size.

  • If you want to change the Overlay Storage type.

See Also

Embedded Lockdown Manager


Volumes

Volumes |
 | See Also
Embedded Lockdown Manager > Unified Write Filter >

2/13/2014

On the Volumes tab in Embedded Lockdown Manager (ELM) you can view all available volumes on your device, and enable or disable Unified Write Filter (UWF) protection for each volume. All writes to a protected volume are redirected to the overlay, except for writes to files or registry entries that are specifically excluded. Both the current volume protection state and the volume protection state after the next restart are displayed.

Actions

On the Volumes screen, you can use the following commands:

Protect/Unprotect

Enable or remove UWF protection for the volume after the next restart.

See Also

Unified Write Filter


File exclusions

File exclusions |
 | See Also
Embedded Lockdown Manager > Unified Write Filter >

2/13/2014

When you enable Unified Write Filter (UWF), you can exclude specific files and folders from UWF filtering. When you exclude a file or folder, all writes to the excluded file or folder are written to the protected volume, and persist after the device restarts.

Files and folders not available for exclusion

You can’t add exclusions for the following items:

  • The volume root. For example, C: or D:.)

  • The \Windows folder on the system volume.

  • The \Windows\System32 folder on the system volume.

  • The \Windows\system32\drivers folder on the system volume.

  • Paging files.

However, you can exclude subdirectories and files under these items.

Actions

On this screen in Embedded Lockdown Manager (ELM), you can use the following commands:

Add file

Adds a new file exclusion. The file is excluded from UWF filtering after the next restart.

Add directory

Adds a new folder exclusion. All files in the folder and subfolders are excluded from UWF filtering after the next restart.

Delete exclusion file

Removes the selected file or folder exclusion after the next restart.

See Also

Unified Write Filter


Registry Exclusions

Registry Exclusions |
 | See Also
Embedded Lockdown Manager > Unified Write Filter >

2/13/2014

When you enable Unified Write Filter (UWF), you can exclude specific registry keys from UWF filtering. When you exclude a registry key, all writes to the registry key are written directly to the registry and persist after the device restarts.

Caution:
To help reduce the risk of corrupting the registry, we recommend that you do not add registry exclusions unless you specifically need certain registry keys to persist.

Registry keys available for exclusion

If you exclude a registry key, all of its subkeys are also excluded from filtering. You can exclude registry subkeys only under the following registry keys:

  • HKEY_LOCAL_MACHINE\BCD00000000

  • HKEY_LOCAL_MACHINE\SYSTEM

  • HKEY_LOCAL_MACHINE\SOFTWARE

  • HKEY_LOCAL_MACHINE\SAM

  • HKEY_LOCAL_MACHINE\SECURITY

  • HKEY_LOCAL_MACHINE\COMPONENTS

Actions

On this screen in ELM, you can use the following commands:

Add registry key

Adds a new registry key exclusion. The registry key and all subkeys are excluded from UWF filtering after the next restart.

Undo exclusion registry

Removes the selected registry key exclusion after the next restart.

See Also

Unified Write Filter


USB Filter

USB Filter |
 | See Also
Embedded Lockdown Manager >

2/13/2014

You can use USB Filter to block all USB ports on your device. You can add exceptions to permit certain USB ports or specific USB devices to function normally by adding entries to the permission entry list.

Note:
You can only use ELM to configure USB Filter on a device running Windows Embedded 8.1 Industry (Industry 8.1).

You can use Embedded Lockdown Manager (ELM) to add permission entries for all currently connected USB devices and enable USB Filter. When USB Filter is enabled, you can also enable or disable selected USB ports for all devices.

For more specific control over USB Filter permission entries, you must use the Windows Management Instrumentation (WMI) providers for USB Filter.

For more information, see USB Filter (Industry 8.1) on MSDN.

Important:
Many devices contain internal USB ports and hubs that connect to common communication devices such as a keyboard, a touch screen, and a wireless network adapter. If you enable USB Filter and do not add permission entries for these devices, your device may become unusable after you restart the device. Clicking Allow only connected devices in ELM automatically adds permission entries for all connected USB devices, including internal USB hubs and devices.

ELM displays the following three columns in the center pane that show you the basic information of the current configuration defined for USB Filter:

  • Port The USB port ID. To the left of the USB port id is an icon that indicates the current configuration state of the port:

    • Allow Indicates that the port is allowed, either for the currently connected USB device, or for any USB device.

    • Block Indicates that the port is blocked, and no USB devices can connect to the port.

    • Warning Indicates that the port is allowed for a specific USB device, but that the USB device is not currently connected.

  • Device Indicates the device class of the USB device currently connected to the port.

  • Device Status Indicates if the port is blocked or allowed when USB Filter is enabled.

Common tasks

To allow only currently connected USB devices

  1. Connect any USB devices you want to allow.

  2. In ELM, on the Actions pane, click Refresh.

  3. Click Allow only connected devices. This action also enables USB Filter, and is the only way to enable USB Filter by using ELM.

To allow all USB devices for a port

  1. Make sure USB Filter is enabled. You may need to first allow only connected devices.

  2. On the main pane, select one or more ports.

  3. On the Actions pane, click Allow all USB devices on this port or Allow selected ports.

    -or-

    On the main pane, right-click on a row and select Allow ports from the drop-down menu.

Actions

In the Action pane of the ELM window, you can use the following commands:

Export to PowerShell

Creates a Windows PowerShell script that you can use to apply the current USB Filter configuration to any device running Industry 8.1.

Note:
The generated PowerShell script for USB Filter contains comments that provide guidance to help you modify the script for more specific control over USB Filter.
Allow only connected devices

Performs the following actions, in order:

  1. Removes all existing permission entries.

  2. Adds permission entries for each specific connected USB device on the port that the device is connected.

  3. Enables USB Filter.

Disable USB Filter/USB Filter disabled

Disables USB Filter.

Refresh

Updates the list of USB ports and connected USB devices.

Allow all USB devices on this port

Allows any USB device to connect to the port. You must enable USB Filter before you can select this action.

Allow selected ports

Allows any USB device to connect to any of the selected ports. You must enable USB Filter before you can select this action.

Block all USB devices on this port

Prevents any USB device from connecting to the port. You must enable USB Filter before you can select this action.

Block selected ports

Prevents any USB device from connecting to any of the selected ports. You must enable USB Filter before you can select this action.

See Also

Embedded Lockdown Manager


Windows 8 Application Launcher

Windows 8 Application Launcher |
 | See Also
Embedded Lockdown Manager >

2/13/2014

You can use Windows 8 Application Launcher to start a Windows Store app immediately after a user signs in to a Windows Embedded 8.1 Industry (Industry 8.1) device and to restart the app when the app closes. You can configure Windows 8 Application Launcher to launch different apps for different users.

Important:
You must have the WEMSAL_UserAppXInformation Windows Management Instrumentation (WMI) provider installed on your device in order to use Embedded Lockdown Manager (ELM) to configure Windows 8 Application Launcher.

Windows 8 Application Launcher is disabled by default; you must enable Windows 8 Application Launcher in ELM before it will function.

If the Windows Store app is written specifically to work with Windows 8 Application Launcher, you can configure Windows 8 Application Launcher to perform a specified action based on an exit value returned by the app. For example, you could configure Windows 8 Application Launcher to shut down or restart the device when the app exits, based on the exit value of the app.

ELM displays the following three columns in the center pane that show you the basic information of the current configurations defined for Windows 8 Application Launcher:

  • User Name The name of the configured account.

  • Application Name The display name of the Windows Store app that Windows 8 Application Launcher launches when the configured account signs in.

  • Application User Model id The Application User Model ID (AUMID) of the Windows Store app. This value uniquely identifies the app, and is used in the Windows PowerShell scripts that are created when you select Export to PowerShell.

ELM always includes an entry with the user name of Global Configuration. If an app is selected for the Global Configuration, Windows 8 Application Launcher launches that app if the account signing in does not have a specific configuration defined. If you attempt to delete the Global Configuration, the Global Configuration is reset to its default settings (no app specified and no exit actions defined).

For more information about Windows 8 Application Launcher on Industry 8.1, see Windows 8 Application Launcher (Industry 8.1) on MSDN.

For more information about Windows 8 Application Launcher on Standard 8, see Windows 8 Application Launcher Overview (Standard 8) on MSDN.

Common tasks

To create a new configuration entry

  1. In ELM, on the Actions pane, click Configure user. An account can have only one configuration entry.

  2. On the Windows 8 Application Launcher properties dialog box, select a user account to configure by doing one of the following:

    • Click the Browse Local Accounts button to select a local account.

    • Click the Browse Domain Accounts button to select a domain account.

    • In the User Name field, type in the name of the account.

    If you select an account that does not have any Windows Store apps installed, ELM displays a warning message, and you will not be able to select an app to launch for the account.

  3. Click the Application field and select the app to launch from the drop-down list of apps installed for the selected account.

  4. Click the Default Exit Action field and select an action for Windows 8 Application Launcher to take when the selected app closes.

  5. (Optional) If the selected app is a specialized app for Industry 8.1 or Standard 8 that writes a CustomExitCode before closing, you can click Add to add a new custom return action for any custom exit codes your app may return.

  6. Click OK to create the new configuration entry.

To modify an existing configuration entry

  1. On the main pane, select a row.

  2. On the Actions pane, click Properties.

    -or-

    On the main pane, right-click a row and select Properties from the drop-down menu.

  3. On the Windows 8 Application Launcher properties dialog box, change any properties that you want and then click OK.

Actions

In the Actions pane of the ELM window, you can use the following commands:

Export to PowerShell

Creates a Windows PowerShell script that you can use to apply the current Windows 8 Application Launcher configuration to any device running Industry 8.1 or Standard 8.

Configure user

Configures Windows 8 Application Launcher to launch a Windows Store app for a specific user that has that app installed. Selecting this option brings up a new Windows 8 Application Launcher properties dialog box.

Enable Application Launcher/Disable Application Launcher

Enables or disables Windows 8 Application Launcher. If Windows 8 Application Launcher is not enabled, Windows 8 Application Launcher does not launch any apps for any users.

Enable kiosk mode
Note:
This property is not available when configuring Standard 8 devices.

Enables kiosk mode in Windows 8 Application Launcher. Kiosk mode prevents the Start screen from displaying for any account that is configured to run Windows 8 Application Launcher. A blank screen is displayed any time that the Start screen would be displayed.

In order to enable kiosk mode, all exit actions must be either to restart the app, restart the device, shutdown the device, or sign out from the current account, and Windows 8 Application Launcher must be enabled.

Set fatal error action
Note:
This property is not available when configuring Standard 8 devices.

Sets the action that Windows 8 Application Launcher takes when it cannot launch the configured app. You can choose one of the following actions:

  • Restart the device

  • Shut down the device

  • Close Windows 8 Application Launcher

  • Sign out the current user

Note:
If you select cose Windows 8 Application Launcher as the fatal error action, you cannot enable kiosk mode. If kiosk mode is already enabled, you cannot select close Windows 8 Application Launcher as a fatal error action.
Properties

Brings up the Windows 8 Application Launcher properties dialog box with the configuration information for the selected account.

Delete

Deletes the selected configuration. If the selected configuration is the Global Configuration, then the Global Configuration is reset to its default settings (no app specified and no exit actions defined).

Windows 8 Application Launcher properties dialog box

In this dialog box, you can specify the following properties:

User Name

The name of the account that is being configured. You can type in an account name, or you can click the Browse Local Accounts button to select from a list of local users on the device. If the device is domain-joined, you can click the Browse Domain Accounts button to select from a list of domain accounts.

Application

The Windows Store app that Windows 8 Application Launcher launches when the account signs in. You must enter a User Name before you can select an app, because the list of apps displayed is based on the list of apps that the account has installed.

Default Exit Action

The action that Windows 8 Application Launcher takes when the Windows Store app exits for any reason. You can choose one of the following actions:

  • Restart the application

  • Restart the device

  • Shut down the device

  • Close Windows 8 Application Launcher

  • Sign out the current user

Note:
If you select close Windows 8 Application Launcher as an exit option, you cannot enable kiosk mode. If kiosk mode is already enabled, you cannot select close Windows 8 Application Launcher as an exit action.
Return Code Actions

If your Windows Store app is a specialized app for Industry 8.1 and writes a CustomExitCode before exiting, as described in Guidelines for developing Windows Store apps for Windows Embedded (Industry 8.1), then you can specify which action Windows 8 Application Launcher takes when the app exits, based on the CustomExitCode.

See Also

Embedded Lockdown Manager


Configure a device for remote management |
 | See Also
Embedded Lockdown Manager >

2/13/2014

If you have trouble getting the Embedded Lockdown Manager (ELM) to remotely connect to your device, you may want to configure your device for remote management. If your device is joined to a domain, some or all of the following configurations may already be configured through Group Policy settings.

Configure a device for remote management

To enable remote management by using a local administrator account

  1. Sign in to the device with an administrator account.

  2. Set the following registry key to disable User Account Control remote restrictions:

    Copy Code
    [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\system]"LocalAccountTokenFilterPolicy"=dword:00000001

    For more information about how to change this registry key, see Description of User Account Control and remote restrictions and How to change the Remote UAC LocalAccountTokenFilterPolicy registry setting.

  3. Restart your device.

To enable Windows Management Instrumentation (WMI) traffic through a firewall

  1. On the Start menu, right-click Command Prompt, and then click Run as administrator.

  2. To establish a firewall exception for WMI traffic, type the following command:

    Copy Code
    netsh advfirewall firewall set rule group="windows management instrumentation (wmi)" new enable=yes
    Important:
    When running ELM on a non-English OS, use the localized group name.

  3. (Optional) If ELM displays an error message that WMI did not respond or failed to connect, you can use individual commands for DCOM, WMI service, callback sink, and outgoing connections to enable WMI traffic.

    • To establish a firewall exception for DCOM port 135, type the following command:

      Copy Code
      netsh advfirewall firewall add rule dir=in name="DCOM" program=%systemroot%\system32\svchost.exe service=rpcss action=allow protocol=TCP localport=135
    • To establish a firewall exception for the WMI service, type the following command:

      Copy Code
      netsh advfirewall firewall add rule dir=in name ="WMI" program=%systemroot%\system32\svchost.exe service=winmgmt action = allow protocol=TCP localport=any
    • To establish a firewall exception for the sink that receives callbacks from a remote computer, type the following command:

      Copy Code
      netsh advfirewall firewall add rule dir=in name ="UnsecApp" program=%systemroot%\system32\wbem\unsecapp.exe action=allow
    • To establish a firewall exception for outgoing connections to a remote computer that the local computer is communicating with asynchronously, type the following command:

      Copy Code
      netsh advfirewall firewall add rule dir=out name ="WMI_OUT" program=%systemroot%\system32\svchost.exe service=winmgmt action=allow protocol=TCP localport=any

For more information about how to enable WMI traffic, see Connecting to WMI Remotely on MSDN.

Create a custom ELM Microsoft Management Console (MMC) file

You can create a custom console file to configure ELM to work alongside other Microsoft Management Console (MMC) snap-ins, such as Event Viewer.

To create a custom ELM console file

  1. Open a command prompt with administrator rights and type the following to open a new .msc console file in MMC:

    Copy Code
    mmc

  2. Accept the UAC prompt.

  3. On the MMC File menu, click Add/Remove Snap-in.

  4. In the Add or Remove Snap-ins dialog box, from the Available snap-ins list, select Embedded Lockdown Manager, and then click Add.

  5. From the Available snap-ins list, select another snap-in, for example, Event Viewer, and then click Add.

    Note:
    Some snap-ins may display a dialog box to configure the snap-in when you add it to the Selected snap-ins list.

  6. When you have finished adding and configuring any additional snap-ins, click OK.

  7. On the MMC File menu, click Save As and save your custom .msc console file.

You can now use ELM together with other MMC snap-ins in the same console to configure and manage your devices.

See Also

Embedded Lockdown Manager


Supported languages |
Embedded Lockdown Manager >

2/13/2014

The following table shows supported languages for Embedded Lockdown Manager (ELM) by operating system, including Windows Embedded 8.1 Industry (Industry 8.1), Windows Embedded 8 Standard (Standard 8), Windows 7, Windows 8, Windows Server 2008 R2, and Windows Server 2012.

Supported languages

The following language information is included in this table:

  • Language (Locale) – The language and the locale.

  • Locale ID - The locale identifier based on RFC 3066 language tag conventions.

Language (Locale) | Locale ID | Industry 8.1 | Standard 8 | Windows 7 | Windows 8 | Windows Server 2008 R2 | Windows Server 2012
Arabic (Saudi Arabia) | ar-SA | Supported | Supported | Supported | Supported | Supported | Supported
Chinese (China) | zh-CN | Supported | Supported | Supported | Supported | Supported | Supported
Chinese (Hong Kong SAR) | zh-HK | Supported | Supported | Supported | Supported | Supported | Supported
Chinese (Taiwan) | zh-TW | Supported | Supported | Supported | Supported | Supported | Supported
Dutch (Netherlands) | nl-NL | Supported | Supported | Supported | Supported | Supported | Supported
English (United States) | en-US | Supported | Supported | Supported | Supported | Supported | Supported
French (France) | fr-FR | Supported | Supported | Supported | Supported | Supported | Supported
German (Germany) | de-DE | Supported | Supported | Supported | Supported | Supported | Supported
Italian (Italy) | it-IT | Supported | Supported | Supported | Supported | Supported | Supported
Japanese (Japan) | ja-JP | Supported | Supported | Supported | Supported | Supported | Supported
Korean (Korea) | ko-KR | Supported | Supported | Supported | Supported | Supported | Supported
Portuguese (Brazil) | pt-BR | Supported | Supported | Supported | Supported | Supported | Supported
Russian (Russia) | ru-RU | Supported | Supported | Supported | Supported | Supported | Supported
Spanish (Spain) | es-ES | Supported | Supported | Supported | Supported | Supported | Supported
Swedish (Sweden) | sv-SE | Supported | Supported | Supported | Supported | Supported | Supported
Turkish (Turkey) | tr-TR | Supported | Supported | Supported | Supported | Supported | Supported

See Also

Embedded Lockdown Manager


Microsoft Software License Terms

Microsoft Software License Terms

2/13/2014

EMBEDDED LOCKDOWN MANAGER

These license terms are an agreement between Microsoft Corporation (or based on where you live, one of its affiliates) and you. Please read them. They apply to the software named above, which includes the media on which you received it, if any. The terms also apply to any Microsoft

  • updates,

  • supplements,

  • Internet-based services, and

  • support services

for this software, unless other terms accompany those items. If so, those terms apply.

By using the software, you accept these terms. If you do not accept them, do not use the software.

If you comply with these license terms, you have the perpetual rights below.

  1. INSTALLATION AND USE RIGHTS. You may install and use any number of copies of the software on your devices for your use.

  2. SCOPE OF LICENSE. The software is licensed, not sold. This agreement only gives you some rights to use the software. Microsoft reserves all other rights. Unless applicable law gives you more rights despite this limitation, you may use the software only as expressly permitted in this agreement. In doing so, you must comply with any technical limitations in the software that only allow you to use it in certain ways. You may not

    • work around any technical limitations in the software;

    • reverse engineer, decompile or disassemble the software, except and only to the extent that applicable law expressly permits, despite this limitation;

    • make more copies of the software than specified in this agreement or allowed by applicable law, despite this limitation;

    • publish the software for others to copy;

    • rent, lease or lend the software;

    • transfer the software or this agreement to any third party; or

    • use the software for commercial software hosting services.

  3. PRIVACY STATEMENT. Microsoft uses the information it collects through the software features as described in our Privacy Statement at http://go.microsoft.com/fwlink/p/?LinkId=390225.

  4. BACKUP COPY. You may make one backup copy of the software. You may use it only to reinstall the software.

  5. DOCUMENTATION. Any person that has valid access to your computer or internal network may copy and use the documentation for your internal, reference purposes.

  6. EXPORT RESTRICTIONS. The software is subject to United States export laws and regulations. You must comply with all domestic and international export laws and regulations that apply to the software. These laws include restrictions on destinations, end users and end use. For additional information, see www.microsoft.com/exporting.

  7. SUPPORT SERVICES. Microsoft provides support services for the software as described at www.support.microsoft.com/common/international.aspx.

  8. ENTIRE AGREEMENT. This agreement, and the terms for supplements, updates, Internet-based services and support services that you use, are the entire agreement for the software and support services.

  9. APPLICABLE LAW.

    1. United States. If you acquired the software in the United States, Washington state law governs the interpretation of this agreement and applies to claims for breach of it, regardless of conflict of laws principles. The laws of the state where you live govern all other claims, including claims under state consumer protection laws, unfair competition laws, and in tort.

    2. Outside the United States. If you acquired the software in any other country, the laws of that country apply.

  10. LEGAL EFFECT. This agreement describes certain legal rights. You may have other rights under the laws of your country. You may also have rights with respect to the party from whom you acquired the software. This agreement does not change your rights under the laws of your country if the laws of your country do not permit it to do so.

  11. DISCLAIMER OF WARRANTY. The software is licensed “as-is.” You bear the risk of using it. Microsoft gives no express warranties, guarantees or conditions. You may have additional consumer rights or statutory guarantees under your local laws which this agreement cannot change. To the extent permitted under your local laws, Microsoft excludes the implied warranties of merchantability, fitness for a particular purpose and non-infringement.

    FOR AUSTRALIA – You have statutory guarantees under the Australian Consumer Law and nothing in these terms is intended to affect those rights.

  12. LIMITATION ON AND EXCLUSION OF REMEDIES AND DAMAGES. You can recover from Microsoft and its suppliers only direct damages up to U.S. $5.00. You cannot recover any other damages, including consequential, lost profits, special, indirect or incidental damages.

    This limitation applies to

    • anything related to the software, services, content (including code) on third party Internet sites, or third party programs; and

    • claims for breach of contract, breach of warranty, guarantee or condition, strict liability, negligence, or other tort to the extent permitted by applicable law.

    It also applies even if Microsoft knew or should have known about the possibility of the damages. The above limitation or exclusion may not apply to you because your country may not allow the exclusion or limitation of incidental, consequential or other damages.

Please note: As this software is distributed in Quebec, Canada, some of the clauses in this agreement are provided below in French.

Remarque : Ce logiciel étant distribué au Québec, Canada, certaines des clauses dans ce contrat sont fournies ci-dessous en français.

GARANTIE LIMITÉE

A. GARANTIE LIMITÉE. Si vous suivez les instructions, le logiciel fonctionnera, pour l’essentiel, tel que décrit dans la documentation de Microsoft reçue avec ou dans le logiciel.

B. DURÉE DE LA GARANTIE ; BÉNÉFICIAIRE DE LA GARANTIE ; DURÉE DE TOUTE GARANTIE IMPLICITE. La garantie limitée couvre le logiciel pendant une durée d’un (1) an à compter de son acquisition par le premier utilisateur. Si vous recevez des suppléments, des mises à jour ou un logiciel de remplacement au cours de cette année, ils seront couverts soit pendant la durée de la garantie restant à courir, soit pendant 30 jours, la période la plus longue étant applicable. Si le premier utilisateur transfère le logiciel, la durée de la garantie restant à courir s’applique au destinataire.

Dans toute la mesure permise par la réglementation applicable, toute garantie implicite sera applicable uniquement pendant la durée de la garantie limitée. Certains états n’autorisent pas les limitations portant sur la durée d’une garantie implicite, de sorte que les limitations ci-dessus peuvent ne pas vous être applicables. Elles peuvent également ne pas vous être applicables, car certains pays n’autorisent pas les limitations portant sur la durée d’une garantie implicite.

C. EXCLUSIONS DE LA GARANTIE. Cette garantie ne couvre pas les problèmes engendrés par vos propres actes (ou inexécutions), les actes d’autrui ou tout autre événement échappant au contrôle raisonnable de Microsoft.

D. RECOURS EN CAS DE VIOLATION DE GARANTIE. Microsoft s’engage à réparer ou à remplacer le logiciel gratuitement. Si Microsoft ne peut pas le réparer ni le remplacer, elle remboursera le montant que vous avez payé pour le logiciel figurant sur le reçu. Microsoft s’engage également à réparer ou à remplacer les suppléments, les mises à jour et le logiciel de remplacement gratuitement. Si Microsoft ne peut pas les réparer ni les remplacer, elle remboursera le montant que vous avez payé pour ces éléments, le cas échéant. Pour obtenir un remboursement, vous devez désinstaller le logiciel et renvoyer tout support et autre document associé à Microsoft accompagnés d’un justificatif d’achat. Ces recours sont les seuls dont vous disposez en cas de violation de garantie limitée.

E. DROITS DES CONSOMMATEURS NON AFFECTÉS. Vous pouvez bénéficier de droits supplémentaires relatifs aux consommateurs en vertu du droit de votre pays, que ce contrat ne peut modifier.

F. PROCÉDURES RELATIVES AUX RÉCLAMATIONS ENTRANT DANS LE CADRE DE LA GARANTIE. Vous devrez fournir un justificatif d’achat pour bénéficier de tout service entrant dans le cadre de la garantie.

  1. États-Unis et Canada. Pour obtenir tout service ou information entrant dans le cadre de la garantie concernant les modalités de remboursement d’un logiciel acquis aux États-Unis et au Canada, veuillez :

    • contacter Microsoft au numéro suivant : (800) MICROSOFT,

    • contacter Microsoft Customer Service and Support, One Microsoft Way, Redmond, WA 98052-6399, U.S.A. ou

    • vous rendre sur le site www.microsoft.com/info/nareturns.htm.

  2. Europe, Moyen-Orient et Afrique. Si vous avez acquis le logiciel en Europe, au Moyen-Orient ou en Afrique, Microsoft Ireland Operations Limited offre cette garantie limitée. En cas de réclamation au titre de cette garantie, veuillez contacter :

    • Microsoft Ireland Operations Limited, Customer Care Centre, Atrium Building Block B, Carmanhall Road, Sandyford Industrial Estate, Dublin 18, Irlande ou

    • l'affilié Microsoft qui dessert votre pays (visitez le site www.microsoft.com/worldwide). En France, appelez le 0 825 827 829 (0,15 € / min) ou consultez le site www.microsoft.com/france/.

  3. En dehors des États-Unis, du Canada, de l’Europe, du Moyen-Orient et de l’Afrique. Si vous avez acquis le logiciel en dehors des États-Unis, du Canada, de l’Europe, du Moyen-Orient et de l’Afrique, veuillez contacter l'affilié Microsoft qui dessert votre pays (visitez le site www.microsoft.com/worldwide).

G. AUCUNE AUTRE GARANTIE. La garantie limitée est la seule garantie directe fournie par Microsoft. Microsoft n’accorde aucune autre garantie expresse. Dans la mesure autorisée par le droit de votre pays, Microsoft exclut les garanties implicites de qualité, d’adéquation à un usage particulier et d’absence de contrefaçon. Si les lois de votre pays vous accordent des garanties implicites, nonobstant la présente exclusion, les recours dont vous disposez sont ceux exposés dans l’article ci-dessus relatif aux recours en cas de violation de garantie, dans la limite autorisée par le droit de votre pays.

H. LIMITATION ET EXCLUSION DE RESPONSABILITÉ EN CAS DE VIOLATION DE GARANTIE. L’article ci-dessus relatif à la limitation et l’exclusion de responsabilité en cas de dommages s’applique en cas de violation de la présente garantie limitée.

La présente garantie vous confère des droits légaux spécifiques et vous pouvez également bénéficier d’autres droits qui varient d’un État à l’autre ou d’un pays à l’autre.

LIMITATION ET EXCLUSION DE RESPONSABILITÉ EN CAS DE DOMMAGES. Vous pouvez obtenir de Microsoft et de ses fournisseurs une indemnisation en cas de dommages directs uniquement dans la limite du montant que vous avez payé pour le logiciel. Vous ne pouvez prétendre à aucune indemnisation pour les autres dommages, y compris les dommages spéciaux, indirects, incidents ou accessoires et les pertes de bénéfices.

Cette limitation concerne :

  • toute affaire liée au logiciel, aux services ou au contenu (y compris tout code) figurant sur des sites Internet tiers ou dans des programmes tiers ; et

  • les réclamations pour rupture de contrat ou violation de garantie, les réclamations en cas de responsabilité sans faute, de négligence ou autre délit dans la limite autorisée par la loi en vigueur.

Elle s’applique également, même si :

  • la réparation, le remplacement ou le remboursement du logiciel ne compense pas intégralement tout préjudice subi ; ou

  • Microsoft avait ou aurait dû avoir connaissance de l’éventualité de tels dommages.

Certains États n’autorisent pas l’exclusion de garanties ou la limitation de responsabilité pour les dommages indirects ou accessoires, de sorte que la limitation ou l’exclusion ci-dessus peut ne pas vous être applicable. Elles peuvent également ne pas vous être applicables si votre pays n’autorise pas l’exclusion de garanties ou la limitation de responsabilité pour les dommages indirects, accessoires ou autres types de dommages.

EFFET JURIDIQUE. Le présent contrat décrit certains droits légaux. Vous pouvez bénéficier d’autres droits prévus par les lois de votre État ou pays. Vous pouvez également bénéficier de certains droits à l’égard de la partie auprès de laquelle vous avez acquis le logiciel. Le présent contrat ne modifie pas les droits que vous confèrent les lois de votre État ou pays si celles-ci ne le permettent pas.


Copyright Information

Copyright Information

2/13/2014

This document is provided “as-is”. Information and views expressed in this document, including URL and other Internet Web site references, may change without notice.

Some examples depicted herein are provided for illustration only and are fictitious. No real association or connection is intended or should be inferred.

This document does not provide you with any legal rights to any intellectual property in any Microsoft product. You may copy and use this document for your internal, reference purposes.

© 2014 Microsoft. All rights reserved.

Microsoft, Windows, Active Directory, ActiveX, BitLocker, ClearType, DirectX, Internet Explorer, MSDN, MS-DOS, ReadyBoost, Silverlight, SQL Server, and Win32 are trademarks of the Microsoft group of companies.

All other trademarks are property of their respective owners.